#!/bin/bash

# arguments_q=(50 100 200)  # List of values for the -q argument
# arguments_k=(2 3 4)  # List of values for the -k argument
arguments_q=(200)  # List of values for the -q argument
arguments_k=(3)  # List of values for the -k argument
betas=(0.5) # List of values for the -B argument

for q in "${arguments_q[@]}"; do
  for k in "${arguments_k[@]}"; do
    for b in "${betas[@]}"; do
      python plot_one_unit.py "unit_q_${q}_k_${k}"
    done
  done
done

# Wait for all background processes to finish
wait
